Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 332523 - media-libs/mlt does not respect LDFLAGS
Summary: media-libs/mlt does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2010-08-12 19:21 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2012-02-25 21:32 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (mlt-0.5.4-r1:20100812-161349.log,71.69 KB, text/plain)
2010-08-12 19:21 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-08-12 19:21:27 UTC
See attached build log.

(Please do not complain about the need for looking at the build log until you can provide an easy way to open bugs with the correct data picked out of a tinderbox log. Thanks.)
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-08-12 19:21:48 UTC
Created attachment 242663 [details]
Build log
Comment 2 Kevin Pyle 2010-08-14 04:12:20 UTC
The only file which failed to respect LDFLAGS is the Ruby binding.  It appears that hwoarang@g.o (tried to) fix this and several other problems.  However, as called out by a warning near the top of the build log, a typo prevented the Ruby fix from being effective:

     8	 * Applying mlt-0.5.4-asneeded.patch ...
     9	  [ ok ]
    10	sed: -e expression #1, char 11: : doesn't want any addresses
    11	>>> Source prepared.

Checking the ebuild, we see:
    67 	 sed -i "/^LDFLAGS/:s += : &${LDFLAGS} :" src/swig/ruby/build

There are two problems here.  The serious problem is that the s and the colon were transposed, causing the sed to fail.  The minor problem is that neither of the sed calls have an ||die, so the ebuild did not bail out on the failure.  sed does exit with an error when it fails to parse the expression cited here, so an ||die would have caught it.

Caveat: I have not run the ebuild with the expression fixed, so correcting the sed expression may not be sufficient to produce a perfectly functional ebuild.
Comment 3 Alexis Ballier gentoo-dev 2012-02-25 21:32:32 UTC
seems its been fixed during the 0.7.6 bump